get
https://api.rotowire.com/Soccer/EPL/News/Updates.php
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
date | string | No | Date to retrieve news for. Format YYYY-MM-DD. Defaults to current date. |
hours | integer | No | Return news from the last N hours. |
max_priority | integer | No | Return only news at or above this priority level. |
Attributes
Top-Level Fields
| Field | Type | Description |
|---|---|---|
Date | string | |
Updates | array |
Example Response
{
"Date": "2026-05-14",
"Updates": [
{
"Id": "515881",
"DateTime": "2026-05-14 01:03:34.400",
"Priority": "3",
"IsTransaction": 0,
"Headline": "Available for Aston Villa",
"Notes": "Konate has been cleared and is available for Friday's clash against Aston Villa.",
"Player": {"FirstName": "Ibrahima", "LastName": "Konate", "Position": "D", "Id": "24554"},
"Team": {"Name": "Liverpool", "Id": "9"}
}
]
}